#ifndef XSCRIPTSTRINGLIST_H
#define XSCRIPTSTRINGLIST_H

#include "xasset.h"

#include <QStringList>

class XScriptStringList : public XAsset
{
public:
    explicit XScriptStringList();

    virtual int Size();

    virtual void Clear() override;
    virtual void ParseData(QDataStream *aStream) override;
    virtual void ParsePtr(QDataStream *aStream, bool aDataFlag = true) override;

private:
    int mCount;
    QVector<qint32> mStringPtrs;
    QStringList mScriptStrings;
};

#endif // XSCRIPTSTRINGLIST_H
